<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Signin.aspx.cs" Inherits="Signin" %>

<%@ OutputCache Duration="1" Location="None" %>
<!DOCTYPE html>
<html>
<head id="Head1" runat="server">
    <meta charset="utf-8" />
    <meta name="description" content="Axpert Sign in" />
    <meta name="keywords" content="Agile Cloud, Axpert,HMS,BIZAPP,ERP" />
    <meta name="author" content="Agile Labs" />
    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
        <%=appTitle%></title>
    <link href="../Css/thirdparty/bootstrap/3.3.6/bootstrap.min.css" rel="stylesheet" />
    <link href="../Css/thirdparty/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" />
    <link href="../ThirdParty/jquery-confirm-master/jquery-confirm.min.css?v=1" rel="stylesheet" />
    <link href="../Css/thirdparty/jquery-ui/1.12.1/jquery-ui.min.css" rel="stylesheet" />
    <link href="../Css/login.min.css?v=16" rel="stylesheet" type="text/css" />
    <link href="../Css/globalStyles.min.css?v=28" rel="stylesheet" />
    <link rel="shortcut icon" href="../images/favicon.ico" />
    <meta http-equiv="CACHE-CONTROL" content="NO-CACHE" />
    <meta http-equiv="EXPIRES" content="0" />
    <link href="../Css/Icons/icon.css" rel="stylesheet" />
    <script>
        if (!('from' in Array)) {
            document.write('<script src="../Js/polyfill.min.js"><\/script>');
        }
    </script>
    <script src="../Js/thirdparty/jquery/3.1.1/jquery.min.js" type="text/javascript"></script>
    <script src="../Js/jquery.browser.min.js" type="text/javascript"></script>
    <script src="../Js/noConflict.min.js?v=1" type="text/javascript"></script>
    <script src="../ThirdParty/jquery-confirm-master/jquery-confirm.min.js?v=2" type="text/javascript"></script>
    <link href="../Css/animate.min.css" rel="stylesheet" />
    <script src="../Js/alerts.min.js?v=27" type="text/javascript"></script>
    <script type="text/javascript" src="../Js/login.min.js?v=53"></script>
    <link href="../ThirdParty/Linearicons/Font/library/linearIcons.css" rel="stylesheet" />
    <script type="text/javascript" src="../Js/lang/content-<%=langType%>.js?v=39"></script>
    <script src="../Js/common.min.js?v=74" type="text/javascript"></script>
    <script type="text/javascript">
        history.go(1);
        var cdt = new Date();
        let bst = cdt.getDate() + "-" + (cdt.getMonth() + 1) + "-" + cdt.getFullYear() + " " + cdt.getHours() + ":" + cdt.getMinutes() + ":" + cdt.getSeconds() + "." + cdt.getMilliseconds();
        let appTUrl = top.window.location.href.toLowerCase().substring("0", top.window.location.href.indexOf("/aspx/"));
        var ispost = '<%=isPostback%>';
        if (ispost == "false")
            localStorage.setItem("BST-" + appTUrl, bst);
        var gllangType = '<%=langType%>';
        var isUserLang = '<%=isUserLang%>';
        var isPowerBy = '<%=isPowerBy%>';
        var diFileInfo = '<%=strFileinfo%>';
        var hybridGUID = '<%=hybridGUID%>';
        var isMobile = isMobileDevice();
        var isOfficeSSO = '<%=isOfficeSSO%>';
        var oktaclientKey = '<%=oktaclientKey%>';
        var oktadomain = '<%=oktadomain%>';
        var office365clientKey = '<%=office365clientKey%>';
        var ssoredirecturl = '<%=ssoredirecturl%>';
    </script>

    <script src="../Js/sso.min.js?v=2" type="text/javascript"></script>
    <script src="../Js/msal.min.js" type="text/javascript"></script>
    <script src="../Js/okta-auth-js.min.js" type="text/javascript"></script>

    <noscript>
        <div>
            JavaScript is turned off in your web browser. Turn it on to take full advantage
            of this site, then refresh the page.
        </div>
    </noscript>

</head>
<body class="page-header-fixed login" id="main_body" runat="server">
    <video id="bgvid" runat="server" playsinline="" autoplay="" muted="" loop="">
        <source src="" type="video/mp4" id="bgvidsource" runat="server" />
    </video>
    <form name="form2" method="post" action="mainnew.aspx" id="form2" defaultfocus="uname" class="form-vertical login-form" novalidate>
        <div>
            <%=strParams.ToString() %>
        </div>
    </form>
    <div class="row-fluid login-main">
        <div class="center-view">
            <div class="content">
                <form id="form1" runat="server">
                    <asp:ScriptManager ID="ScriptManager1" runat="server">
                        <Services>
                            <asp:ServiceReference Path="../WebService.asmx" />
                            <asp:ServiceReference Path="../CustomWebService.asmx" />
                        </Services>
                    </asp:ScriptManager>
                    <div id="SigninTemplate" runat="server">
                        <asp:Literal ID="LandPageTemplate" runat="server" Text=""></asp:Literal>
                    </div>

                    <asp:Panel runat="server" ID="panelSignin">
                        <div class="login-wrapper" runat="server" id="divPanelSignin" style="display: none">
                            <div class="card login-inner">
                                <h2 class="form-title">
                                    <img src="../images/loginlogo.png" /><asp:Label ID="lblSignin" runat="server" meta:resourcekey="lblSignin">Sign In</asp:Label>
                                </h2>
                                <div class="control-group" id="selectProj" runat="server">
                                    <div class="controls field-wrapper">
                                        <div class="input-icon left">
                                            <input runat="server" type='text' value='' onblur="GetProjLang();" id='axSelectProj' name="axSelectProj" title="Select Project" tabindex='2' placeholder='' class='m-wrap placeholder-no-fix new-search-input search-input' required />
                                            <div class="field-placeholder">
                                                <asp:Label ID="lblslctproj" runat="server" meta:resourcekey="lblslctproj">
                            Select Project</asp:Label>
                                            </div>
                                            <i class="icon-cross" title="Clear" onclick="$('#axSelectProj').val('').focus();"></i>
                                            <i class="icon-chevron-down autoClickddl" title="Select Project" onclick="$('#axSelectProj').autocomplete('search','').focus();"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="control-group">
                                    <div class="controls field-wrapper">
                                        <div class="input-icon left">
                                            <input class="m-wrap placeholder-no-fix" tabindex="2" size="15" id="axUserName" runat="server" type="text"
                                                autocomplete="off" placeholder="" name="axUserName" title="Username" required>
                                            <div class="field-placeholder">
                                                <asp:Label ID="lblusername" runat="server" meta:resourcekey="lblusername">
                            User Name</asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="control-group">
                                    <div class="controls field-wrapper">
                                        <div class="input-icon left">
                                            <input id="axPassword" runat="server" class="m-wrap placeholder-no-fix" type="password" autocomplete="off"
                                                placeholder="" name="axPassword" tabindex="2" title="Password" required />
                                            <div class="field-placeholder">
                                                <asp:Label ID="lblpwd" runat="server" meta:resourcekey="lblpwd">
                            Password</asp:Label>
                                            </div>
                                        </div>
                                        <input type="hidden" runat="server" name="hdnAxProjs" id="hdnAxProjs" />
                                        <input type="hidden" runat="server" name="hdnMobDevice" id="hdnMobDevice" />
                                        <asp:Label ID="lblCustomerror" runat="server" meta:resourcekey="lblCustomerror" Visible="false">Server error. Please try again.If the problem continues, please contact your administrator.</asp:Label>
                                    </div>
                                </div>

                                <div class="hide control-group" id="axLangFld" runat="server">
                                    <div class="controls field-wrapper">
                                        <div class="input-icon left">
                                            <input type='text' value='' id='axLanguage' runat="server" name="axLanguage" title="Select Language" tabindex='2' placeholder='Select Language' class='m-wrap placeholder-no-fix new-search-input search-input' required />
                                            <div class="field-placeholder">
                                                <asp:Label ID="lblslctlang" runat="server" meta:resourcekey="lblslctlang">
                            Select Language</asp:Label>
                                            </div>
                                            <i class="icon-cross" title="Clear" onclick="$('#axLanguage').val('').focus();"></i>
                                            <i class="icon-chevron-down autoClickddl" title="Select Language" onclick="$('#axLanguage').autocomplete('search','').focus();"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="control-group" id="axstaysignin" runat="server" visible="false">
                                    <div class="controls">
                                        <div class="input-icon left">
                                            <input type="checkbox" id="signedin" runat="server" tabindex="2" class="m-wrap placeholder-no-fix" title="Stay Signed In" />
                                            <asp:Label runat="server" ID="lblstaysin" meta:resourcekey="lblstaysin">Stay signed in?</asp:Label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-actions">
                                    <asp:Button runat="server" Text="Login" title="Login" TabIndex="3" ID="btnSubmit" class="hotbtn btn" OnClientClick="return chkLoginForm();" OnClick="btnSubmit_Click" />
                                    <asp:Button ID="OktaBtn" Visible="false" runat="server" class="hotbtn btn" OnClientClick="axOktaLogin();return false;" Text="Okta Login" />
                                    <asp:Button ID="Office365Btn" Visible="false" runat="server" class="hotbtn btn" OnClientClick="Office365Init();return false;" Text="Office365 Login" />
                                    <asp:Button ID="GoogleBtn" Visible="false" class="hotbtn btn" runat="server" Text="Google account" OnClick="GoogleBtn_Click"></asp:Button>
                                    <asp:Button ID="FacebookBtn" Visible="false" class="hotbtn btn" runat="server" Text="Facebook account" OnClick="FacebookBtn_Click"></asp:Button>
                                    <asp:Button ID="WindowsBtn" Visible="false" class="hotbtn btn" runat="server" Text="Windows" OnClientClick="return chkLoginForm();" OnClick="WindowsBtn_Click"></asp:Button>
                                </div>
                                <div class="copyrightlabs">
                                    <div class="col-sm-6 col-md-6 col-xs-6"><span id="dvCopyRight" runat="server" class="copyrightpara">�2020 Agile Labs Pvt. Ltd. All Rights Reserved.</span></div>
                                    <div class="col-sm-6 col-md-6 col-xs-6"><span id="axpertVer" runat="server"></span></div>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="create-account">
                                    <a href="javascript:void(0)" class="subtextblue" tabindex="3" onclick="OpenForgotPwd()">
                                        <asp:Label ID="lblForgot" runat="server" meta:resourcekey="lblForgot">Forgot password?</asp:Label>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" id="browserElapsTime" runat="server" />
                        <input type="hidden" id="hdnLangs" runat="server" disabled="disabled" />
                        <input type="hidden" id="hdnAppTitle" runat="server" disabled="disabled" />
                    </asp:Panel>
                </form>
            </div>
        </div>
    </div>

    <form id="form3">
        <input type="hidden" runat="server" name="mobDevice" id="mobDevice" />
        <input type="hidden" runat="server" name="duplicateUser" id="duplicateUser" />
        <button type="submit" runat="server" title="Login" id="btnSubmitUser" class="hotbtn btn hide" />
    </form>
    <script src="../assets/plugins/jquery-1.10.1.min.js" type="text/javascript"></script>
    <script src="../assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
    <!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
    <script src="../assets/plugins/jquery-ui/jquery-ui-1.10.1.custom.min.js" type="text/javascript"></script>
    <script src="../ThirdParty/jquery-confirm-master/jquery-confirm.min.js?v=2" type="text/javascript"></script>
    <script src="../Js/thirdparty/bootstrap/3.3.6/bootstrap.min.js" type="text/javascript"></script>
    <script src="../assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
    <!--[if lt IE 9]>
	<script src="assets/plugins/excanvas.min.js"></script>
	<script src="assets/plugins/respond.min.js"></script>  
	<![endif]-->
    <script src="../assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js?v=3" type="text/javascript"></script>
    <!-- END CORE PLUGINS -->
    <!-- BEGIN PAGE LEVEL PLUGINS -->
    <!-- END PAGE LEVEL PLUGINS -->
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="../assets/scripts/app.min.js?v=1" type="text/javascript"></script>
    <script src="../assets/scripts/tasks.min.js" type="text/javascript"></script>
    <!-- END PAGE LEVEL STYLES -->
    <!-- END PAGE LEVEL SCRIPTS -->
    <script type="text/javascript">
        jQuery(document).ready(function () {
            App.init(); // initlayout and core plugins            
            $("#sidemenu-leftt").click();
        });
    </script>
    <script src="../Js/common.min.js?v=74" type="text/javascript"></script>
</body>
</html>
