<%@ Page Language="C#" AutoEventWireup="true" CodeFile="iview.aspx.cs" Inherits="iview"
    EnableEventValidation="false" ValidateRequest="false" %>

<!DOCTYPE html>
<html>

<head id="Head1" runat="server">
    <meta charset="utf-8"/>
    <meta name="description" content="IView"/>
    <meta name="keywords" content="Agile Cloud, Axpert,HMS,BIZAPP,ERP"/>
    <meta name="author" content="Agile Labs"/>
    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <title>Iview</title>
    <!-- ________ CSS __________ -->
    <asp:PlaceHolder runat="server">
        <%:Styles.Render("~/Css/smartviews") %>
    </asp:PlaceHolder>

    <% if (direction == "rtl")
        { %>
    <link rel="stylesheet" href="../ThirdParty/bootstrap_rtl.min.css" type="text/css" />
    <% } %>
    <script>
        if (!('from' in Array)) {
            // IE 11: Load Browser Polyfill
            document.write('<script src="../Js/polyfill.min.js"><\/script>');
        }
    </script>

    <!-- ________ JAVASCRIPT __________ -->

    <script type='text/javascript'>
        var gllang = '<%=langType%>';
        var parentArr = new Array();
        var typeArr = new Array();
        var depArr = new Array();
        var depParamArr = new Array();
        var hiddenArr = new Array();
        var Expressions = new Array();
        var exprSuggestions = new Array();
        var vExpressions = new Array();
        var paramType = new Array();
        var pCurArr = new Array();
        var ctrlType = "";
        var ctrlID = "";
        var childCtrlID = "";
        var oldChildCtrlID = "";
        var transid = "";
        var currFldValue = "";
        var Parameters = new Array();
        var FNames = new Array();
        var fldNameArray = new Array();
        var fldValueArray = new Array();
        var fldDeletedArray = new Array();
        var IsNqIvTaskBtnCliked = false;
        var SaveWindow;
        var AxActiveField = "";
        var GridDispHead = false;
        var DCFrameNo = new Array();
        var TstructHasPop = false;
        var validateParamOnGo = false;
        var isChartsAvailable = true;
        var showMore = true;
        var isFromClearBtn = false;
        var IVIRCaption = "<%=breadCrumb%>";
        var printTitle = "<%=PrintTitle%>";
        var capturedButton1Submit = false;
        //below line will load the google charts

        var enableBackButton = false;
        var enableForwardButton = false;

        var allowRecPerPageChange = false;
        var lastSelRecPerPage = "";
        var hasBuildAccess = <%=hasBuildAccess.ToString().ToLower()%>;

        var requestProcess_logtime = '<%=requestProcess_logtime%>';
        var serverprocesstime = '<%=serverprocesstime%>';
    </script>
        
</head>

<body class="Mainbody Family btextDir-<%=direction%>" dir="<%=direction%>">
    <form id="form1" class="frmiview" runat="server" onclick="javascript:HideNqIvTaskList();">
        <div>
            <asp:PlaceHolder runat="server">
                <%:Scripts.Render("~/Js/smartviews") %>
            </asp:PlaceHolder>
            <asp:ScriptManager ID="ScriptManager1" runat="server" AsyncPostBackTimeout="36000">
                <%--<Scripts>
                    <asp:ScriptReference Path="../Js/helper.min.js?v=112" />
                </Scripts>--%>
                <Services>
                    <asp:ServiceReference Path="../WebService.asmx" />
                </Services>
                <Services>
                    <asp:ServiceReference Path="../CustomWebService.asmx" />
                </Services>
            </asp:ScriptManager>
        </div>


        <div id="iviewFrame" runat="server">
            
           <%-- <div id="lol2" runat="server" style="float: left; border-right: 1px solid black;">--%>
                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div id="divfile" class="hide">
                            <table class="tblrowbor">
                            <tr>
                                <td class="rowbor">
                                    <asp:Label ID="LabelFs" runat="server" meta:resourcekey="LabelFs" Font-Bold="True"
                                        ForeColor="#1e90ff">File Name:</asp:Label>
                                    <input id="filMyFile" accept="text/html" type="file" />
                                    <input type="button" onclick="javascript: CallAfterFileUpload();" id="cafterfload"
                                        value="load" name="cafterfload" />
                                </td>
                            </tr>
                                <tr class="txtrowbar">
                                <td class="rowbor">
                                    <asp:TextBox ID="TextBox2" Width="1" runat="server" Visible="true"
                                        BorderStyle="None" ForeColor="white" BackColor="white"></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </div>




                        <%if (hidetoolbar == "false")
                        {%>
                        <asp:Label ID="lblTime" runat="server"></asp:Label>
                        <asp:Label ID="lblTimeClient" runat="server"></asp:Label>
                        <div class="listViewDc">
                            <%=strBreadCrumbBtns%>
                            <div id="breadcrumb-panel">
                                <div id='breadcrumb' class='icon-services <%=bread_direction%>'>
                                    <%=strBreadCrumb.ToString()%>
                                
                            </div>

                                <%-- --%>
                                <div id="ivInSearch">
                                    <div class="searchBox">
                                         <% if (requestJSON != true || iviewButtonStyle == "old")
                                             { %>
                                                <div class="searchBoxChildContainer">
                                                    <span class="icon"><i class="fa fa-search" id="idsearch"></i></span>
                                                    <input name="ivInSearchInput" type="search" id="ivInSearchInput" />
                                                    <%-- <span id="ivirMoreButton" class="icon2" onclick="ivirMoreFilters(true);" tabindex="0">
                                                    <i class="fa fa-caret-down"></i>
                                                    </span>--%>
                                                </div>
                                         <% } %>
                                    </div>
                                </div>

                                <div id="dvActions" runat="server">
                                    <dl id="dlAction" class="ddlBtn">
                                        <dt><a href="javascript:void(0)" onclick="ddToggle(event);">
                                            <img src="../AxpImages/icons/task.png" alt="task" />
                                            <asp:Label ID="lblaction" runat="server" meta:resourcekey="lblaction">select
                                                an Action</asp:Label>
                                        </a></dt>
                                        <dd>
                                            <ul id="ddActionBtns" runat="server">
                                            </ul>
                                        </dd>
                                    </dl>
                                </div>
                            </div>
                            <div id="ivContainer">

                                <div class="container">
                                    <div class="row">
                                        <div class="bs-example">
                                            <div>
                                            <div id="searchBar" class="">
                                                <% if (requestJSON == true && iviewButtonStyle != "old")
                                                    { %>
                                                <div id='iconsNew'>
                                                    <div id="pinnedsearchBar" class="" style="display: inline-block;">
                                                        <div id="pinnedicons" class="right">
                                                            <ul id="pinnediconsUl"></ul>
                                                        </div>
                                                    </div>
                                                    <div id="iconsNewSearch" title="Search" class="right dropdown dropdown-submenu newRequestJson" style="display: inline-block;">
                                                        <a id="iconsNewSearchIcon" class="fa fa-search" onclick="$('#idsearch').addClass('fa-remove');$('#idsearch').removeClass('fa-search');$('.searchBoxChildContainer').removeClass('hide');$('#ivInSearchInput').focus();"></a>
                                                    </div>
                                                    <div id="iconsNewNew" title="New" class="right dropdown dropdown-submenu newRequestJson" style="display: inline-block;">
                                                        <a id="iconsNewNewIcon" class="fa fa-plus"></a>
                                                    </div>
                                                    <div id="iconsNewRemove" title="Remove" class="right dropdown dropdown-submenu newRequestJson" style="display: inline-block;">
                                                        <a id="iconsNewRemoveIcon" class="fa fa-minus"></a>
                                                    </div>
                                                    <div id="filterWrapper" title="Data" class="right dropdown dropdown-submenu newRequestJson" style="display: inline-block;">
                                                       <%-- <span class="fa fa-list-alt dropdown-toggle" data-target="#filterWrapper" data-toggle="dropdown"></span>
                                                        <span id='filterWrapper' class="hide"><i class="fa icon-basic-pin2 pinIcon customIcon" aria-hidden="true" title="Pin to taskbar"></i></span>--%>
                                                    </div>
                                                    <div id="iconsNewUtility" title="Utility" class="right dropdown dropdown-submenu newRequestJson" style="display: inline-block;">
                                                        <span id="iconsNewUtilityIcon" class="fa fa-cogs dropdown-toggle" data-target="#iconsNewUtility" data-toggle="dropdown"></span>
                                                        <ul id="iconsExportUl" class="dropdown-menu">
                                                            <li id="iconsExportPrint">
                                                                <a title="Print" class="_action _singleaction _handCur _l2" href="javascript:void(0);">
                                                                    <div class="dropdownIconUI">
                                                                        <span class="iconUITitle">P</span>
                                                                        <%--<span class="iconUIPin"><i class="fa fa-thumb-tack"></i></span>--%>
                                                                    </div>
                                                                    <span class="dropdownIconName">
                                                                        Print
                                                                    </span>
                                                                </a>
                                                            </li>
                                                            <li id="iconsExportPdf">
                                                                <a title="PDF" class="_action _singleaction _handCur _l2" href="javascript:void(0);">
                                                                    <div class="dropdownIconUI">
                                                                        <span class="iconUITitle">P</span>
                                                                        <%--<span class="iconUIPin"><i class="fa fa-thumb-tack"></i></span>--%>
                                                                    </div>
                                                                    <span class="dropdownIconName">
                                                                        PDF
                                                                    </span>
                                                                </a>
                                                            </li>
                                                            <li id="iconsExportExcel">
                                                                <a title="Excel" class="_action _singleaction _handCur _l2" href="javascript:void(0);">
                                                                    <div class="dropdownIconUI">
                                                                        <span class="iconUITitle">E</span>
                                                                        <%--<span class="iconUIPin"><i class="fa fa-thumb-tack"></i></span>--%>
                                                                    </div>
                                                                    <span class="dropdownIconName">
                                                                        Excel
                                                                    </span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div id="iconsNewOption" title="Options" class="right dropdown dropdown-submenu newRequestJson" style="display: inline-block;">
                                                        <span id="iconsNewOptionIcon" class="fa fa-th dropdown-toggle" data-target="#iconsNewOption" data-toggle="dropdown"></span>
                                                 
                                                        <ul id="iconsUl" class="dropdown-menu">
                                                        </ul>
                                                    </div> 
                                                    <div class="searchBoxChildContainer hide">
                                                        <span class="icon"><i class="fa fa-search" id="idsearch"></i></span>
                                                        <input type="search" id="ivInSearchInput" />
                                                        <%-- <span id="ivirMoreButton" class="icon2" onclick="ivirMoreFilters(true);" tabindex="0">
                                                        <i class="fa fa-caret-down"></i>
                                                        </span>--%>
                                                    </div>
                                                </div>

                                                <% }
                                                    else
                                                    { %>
                                                <div id='icons' class='right' runat="server">
                                                    <ul id="iconsUl" runat="server"></ul>
                                                </div>
                                                <% } %>
                                                    </div>


                                                <span class="paramFiletrs pull-right" runat="server"
                                                    id="divFilterCond"></span>
                                            <div id="dvPages" runat="server">
                                                    <asp:Label ID="records" runat="server" Text="" CssClass="totrec">
                                                    </asp:Label>
                                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                <asp:Label ID="pgCap" Text="Page No." runat="server" CssClass="totrec">
                                                </asp:Label>
                                                    <asp:DropDownList ID="lvPage" runat="server" AutoPostBack="true"
                                                        CssClass="combotem" onchange="javascript:ShowDimmer(true);"
                                                        OnSelectedIndexChanged="lvPage_SelectedIndexChanged">
                                                    </asp:DropDownList>
                                                    <asp:Label ID="pages" Text="" runat="server" CssClass="totrec">
                                                    </asp:Label>
                                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                <asp:Label ID="lblDbRecsCount" runat="server" CssClass="totrec">
                                                </asp:Label>

                                                </div>


                                                <div id="dvStatictime" runat="server">
                                                    <asp:Label ID="lblRefresh" CssClass="colorButton"
                                                        runat="server"></asp:Label>
                                                </div>

                                            <div runat="server" id="dvStagLoad">
                                                    <a class="handCursor" onclick="javascript:GetStagRecords('More');">
                                                        <asp:Label ID="lblshow" runat="server" meta:resourcekey="lblshow">
                                                        Show More</asp:Label>
                                                    </a>&nbsp;&nbsp;&nbsp;&nbsp;
                                                <a class="handCursor" onclick="javascript:GetStagRecords('All');">
                                                    <asp:Label ID="lblshowall" runat="server"
                                                        meta:resourcekey="lblshowall">Show All</asp:Label>
                                                </a>&nbsp;&nbsp;
                                                </div>
                                            <div id="dvSqlPages" runat="server">
                                                <div id="nextPrevBtns" runat="server" class="nextPrevBtns">
                                                        <asp:LinkButton ID="lnkPrev" runat="server" title="Prev"
                                                            OnClientClick="return CheckDisabled('lnkPrev');"
                                                            OnClick="lnkPrev_Click" />
                                                        <asp:LinkButton ID="lnkNext" runat="server" title="Next"
                                                            OnClientClick="return CheckDisabled('lnkNext');"
                                                            OnClick="lnkNext_Click" />
                                                    </div>
                                                    <div id="rowsTxtCount">
                                                        <span>
                                                            <asp:Label ID="lblCurPage" runat="server" CssClass="totrec">
                                                            </asp:Label>
                                                        </span>
                                                        <span>
                                                            <asp:Label ID="lblNoOfRecs" runat="server" CssClass="totrec">
                                                            </asp:Label>
                                                        </span>
                                                        <span id="lnkShowAll" title="Show All Records" class="btn"
                                                            onclick="getAllRecords();">
                                                            <i class="fa fa-list" aria-hidden="true"></i><i
                                                                class="fa fa-long-arrow-down" aria-hidden="true"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                                <div id="dvRowsPerPage" runat="server">
                                                 <asp:Label ID="lbRecPerPage" meta:resourcekey="lbRecPerPage"
                                                        runat="server">Rows Per
                                                    Page</asp:Label>&nbsp;&nbsp;
                                                <asp:DropDownList ID="recPerPage" AutoPostBack="false" runat="server"
                                                    OnSelectedIndexChanged="RecordsPerPage_SelectedIndexChanged"
                                                    onchange="onRecPerPageChange(event);ShowDimmer(true);">
                                                    <asp:ListItem Text="50" Value="50" Selected="True"></asp:ListItem>
                                                    <asp:ListItem Text="100" Value="100"></asp:ListItem>
                                                    <asp:ListItem Text="200" Value="200"></asp:ListItem>
                                                    <asp:ListItem Text="500" Value="500"></asp:ListItem>
                                                    <%--<asp:ListItem Text="1000" Value="1000"></asp:ListItem>--%>
                                                    <asp:ListItem Text="ALL" Value="0"></asp:ListItem>
                                                </asp:DropDownList>
                                                </div>


                                                <div class="clear"></div>
                                            </div>
                                            <div class="clear"></div>
                                            <div class="panel-group" id="accordion">
                                                <div id="myFiltersBody" runat="server" class="panel panel-default">

                                                    <div id="Filterscollapse" class="panel-collapse collapse"
                                                        aria-expanded="false" runat="server">
                                                    <div id="dvRefreshParam" runat="server">
                                                                <span>
                                                                    <button type="submit"
                                                                        title="Refresh parameter values"
                                                                        onclick="UpdateGetParamCache();" style="border: 0; background: no-repeat;">
                                                                        <i class="fa fa-refresh"></i>
                                                                    </button>
                                                                </span>
                                                            </div>
                                                        <div class="panel-body">
                                                            <table class="tblresX">
                                                                <tr>
                                                                    <td class="Pagebody">
                                                                        <div id="dvParamCont" runat="server">
                                                                            <%=paramHtml.ToString()%>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="tdheadbar">
                                                                        <table class="tblheadbar">
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:Button ID="button1" runat="server"
                                                                                        OnClientClick="Javascript:return ValidateOnSubmit();"
                                                                                        CssClass="hotbtn btn" Text="Search"
                                                                                        ToolTip="Search" />
                                                                                    &nbsp;

                                                                                <asp:Button ID="button2" runat="server"
                                                                                    CssClass="coldbtn btn"
                                                                                    OnClick="button2_Click" Text="Clear"
                                                                                    ToolTip="Clear"
                                                                                    OnClientClick="Javascript:ClearParamValues();" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="ivcaptions" id="ivCap1" runat="server" visible="false">
                            </div>
                        <div class="mainTabs">
                            <div class="scroller scroller-left"><i class="glyphicon glyphicon-chevron-left"></i></div>
                            <div class="scroller scroller-right"><i class="glyphicon glyphicon-chevron-right"></i></div>
                            <div id="dvViewtabs">
                                <ul class="nav nav-tabs horizontal-scrollable" id="viewTabs">
                                </ul>


                            </div>

                            <% if (requestJSON && iviewButtonStyle != "old")
                                { %>
                                    <div class="pageInformationNew clearfix">
                                                           
                                        <div id="rowsTxtCountNew" class="pageInformationRight">
                                        <div id="ivirAllCndtnPillsDiv" class="pillPopover">
                                            <a title="" class="btn change-trigger" id="lnkallCndtnPill"><span class="fa fa-paint-brush"></span>
                                                <%--<span class="pills-notification" id="ivirAllCndtnPillsCount" >22</span>--%>
                                                                    
                                            </a>

                                                <div class="hide" id="ivirAllCndtnPillsList">
                                                </div>
                                        </div>
                                        <div id="ivirChartPillsDiv" class="pillPopover">
                                            <a title="" class="btn change-trigger" id="lnkChartPill" href="javascript:;"><span class="fa fa-pie-chart"></span>
                                                <%--<span class="pills-notification" id="ivirChartPillsCount" >22</span>--%></a>
                                                <div class="hide" id="ivirChartPillsList">
                                                </div>
                                        </div>
                                                           
                                                            
                                                           
                                        <%-- <div id="dvRefreshParam" runat="server">
                                            <span>
                                                <button type="submit"
                                                    title="Refresh parameter values"
                                                    onclick="UpdateGetParamCache();" style="border: 0; background: no-repeat;">
                                                    <i class="fa fa-refresh"></i>
                                                </button>
                                            </span>
                                        </div>--%>

                                    </div>
                                    <div class="pageInformationLeft" style="">
                                        <div class="paramPillContent">
                                            <div id="dvSelectedFilters" class="badge hide" style="">
                                                <span id="FilterValues"></span>
                                            </div>
                                            <span class="tooltiptext"></span>
                                        </div>
                                        <div class="filterPillContent"></div>
                                    </div>
                                </div>    
                                <div class="clearfix"></div>

                            <% } %>

                        </div>
                        <div class="iviewTableWrapper tab-pane fade in active">





                                <div class="myview" id="divFilterView">
                                    <div class="myViewHeader">
                                        <h3>
                                            <asp:Label ID="lblview" runat="server" meta:resourcekey="lblview">Create View
                                            </asp:Label>
                                        </h3>
                                    </div>
                                    <div class="myviewname">
                                        <asp:Label ID="lblviewname" runat="server" meta:resourcekey="lblviewname">Name
                                        </asp:Label>
                                    </div>
                                    <div class="myviewtext">
                                        <asp:TextBox ID="txtViewName" runat="server"></asp:TextBox>
                                    </div>

                                    <div class="myviewcancelbtn">
                                        <asp:Button ID="btnViewCancel" runat="server" OnClientClick="CloseViewPopup();"
                                            Text="Cancel" />
                                    </div>
                                </div>
                                <div class="dvContent">

                                    <%}
                                    else
                                    { %>

                                    <div>
                                        <%} %>
                                        <div class="sort">
                                            <asp:Button ID="SortGrid" runat="server" OnClick="btnSortGrid_Click" />
                                            <asp:Button ID="FilterGrid" runat="server" OnClick="btnFilterGrid_Click" />
                                            <asp:Button ID="HideColumn" runat="server" OnClick="btnHideColumn_Click" />


                                            <asp:HiddenField ID="hdnHideColName" runat="server" />
                                        </div>

                                        <asp:HyperLink ID="btnDownloadAll" runat="server" Text="Download Selected"
                                            Visible="true" Enabled="true" NavigateUrl="Javascript:DownloadSelectedFiles();"
                                            CssClass="hide" />
                                        <div id="leftPanel" runat="server">

                                            <div>

                                                <div id="paramCont" runat="server" class="wBdr Pagebody">
                                                    <asp:HiddenField ID="hdnbElapsTimeGo" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnparamValues" runat="server" />
                                                    <asp:HiddenField ID="rXml" runat="server" />
                                                    <asp:HiddenField ID="param" runat="server" Value="" />
                                                    <asp:HiddenField ID="paramxml" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnGo" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnAct" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnIsPostBack" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnSRows" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnParamChngd" runat="server" Value="" />
                                                    <asp:HiddenField ID="hdnIvRefresh" runat="server" Value="" />
                                                    <input type="hidden" name="recordid000F0" value="0" />
                                                    <asp:HiddenField ID="hdnJsonData" runat="server" />
                                                    <asp:HiddenField ID="hdnSortColName" runat="server" />
                                                    <asp:HiddenField ID="hdnFilterColName" runat="server" />
                                                    <asp:HiddenField ID="hdnFilterBy" runat="server" />
                                                    <asp:HiddenField ID="hdnNoOfRecords" runat="server" />
                                                    <asp:HiddenField ID="hdnGridColumns" runat="server" />
                                                    <asp:HiddenField ID="hdnHideColumns" runat="server" />
                                                    <table id="tblFilterCols">
                                                    </table>
                                                    <asp:HiddenField ID="hdnFilterChecked" runat="server" />
                                                    <asp:HiddenField ID="hdnSortColumns" runat="server" />
                                                    <asp:HiddenField ID="hdnMyViewName" runat="server" />
                                                    <asp:HiddenField ID="hdnMyViewFilterCol" runat="server" />
                                                    <asp:HiddenField ID="hdnIViewShow" runat="server" />
                                                    <asp:HiddenField ID="hdnTotalIViewRec" runat="server" />
                                                    <asp:HiddenField ID="hdnHasTotalRows" runat="server" />
                                                    <asp:HiddenField ID="hdnHideShowCol" runat="server" />
                                                    <asp:HiddenField ID="hdnHideShowFld" runat="server" />
                                                    <asp:HiddenField ID="hdnIsParaVisible" runat="server" />
                                                    <asp:HiddenField ID="hdnTotalRec" runat="server" />
                                                    <asp:HiddenField ID="printRowsMaxLimitField" runat="server" />
                                                    <asp:HiddenField ID="hdnShowParams" runat="server" />
                                                    <asp:HiddenField ID="hdnIsDirectDB" runat="server" />
                                                    <asp:HiddenField ID="hdnIsPerfXml" runat="server" Value="false" />
                                                    <asp:HiddenField ID="hdnSelParamsAftrChWin" runat="server" />
                                                    <asp:HiddenField ID="hdnAutoSplit" runat="server" />
                                                    <asp:HiddenField ID="hdnDisableSplit" runat="server" />
                                                    <asp:HiddenField ID="hdnWebServiceViewName" runat="server" />
                                                    
                                                    <asp:HiddenField ID="hdnListViewFieldsJSON" runat="server" />
                                                    <asp:HiddenField ID="hdnLvSelectedCols" runat="server" />
                                                    <asp:HiddenField ID="hdnLvSelectedHyperlink" runat="server" />
                                                    <asp:HiddenField ID="hdnLvChangedStructure" runat="server" />
                                                    
                                                    <input type="hidden" id="cb_sactbu" name="cb_sactbu" />
                                                </div>
                                            </div>
                                            <div>
                                                <h3 onclick="UpdateActiveArray(this);" id="ivSortHeader">
                                                    <asp:Label ID="lblsort" runat="server" meta:resourcekey="lblsort"> Sort
                                                    By</asp:Label>
                                                </h3>
                                                <div id="ivSortContent">
                                                    <ul id="sortIvByColumn">
                                                    </ul>
                                                </div>
                                            </div>
                                            <div>
                                                <h3 id="HideCol" onclick="UpdateActiveArray(this);">
                                                    <asp:Label ID="lblhidecolumn" runat="server"
                                                        meta:resourcekey="lblhidecolumn">Hide Column</asp:Label>
                                                </h3>



                                            </div>
                                        </div>
                                        <div id="contentPanelGridIview" runat="server">
                                            <div id="divcontainer" class="dvIvCont" runat="server">
                                                <div id="dvStatus" runat="server" class="error hide">
                                                    <asp:Label ID="lblErrMsg" runat="server"></asp:Label>
                                                </div>
                                            <div id="dvPills">
                                                <div id="pillsWrapper"></div>
                                                <div id="ivirChartPills"></div>
                                            </div>
                                            
                                            <div class="tab-content">

                                                <div id="dvData" runat="server">
                                                    <asp:HiddenField ID="hdnIViewData" runat="server" />


                                                    <asp:Panel runat="server" ID="Panel1" Width="100%" CssClass="pnlgrid">
                                                        <div id="ivirMainChartWrapper">

                                                            <div id="ivirChartWrapper"></div>
                                                        </div>
                                                        <asp:GridView CellSpacing="-1" ID="GridView1" runat="server"
                                                            OnPreRender="GridView1_PreRender" AutoGenerateColumns="False"
                                                            CssClass="gridData" OnRowDataBound="GridView1_RowDataBound">
                                                        </asp:GridView>
                                                        <div id="GridView2Wrapper" runat="server" visible="false">
                                                        </div>
                                                        <table class="animationLoading animationLoadingHide">
                                                            <thead>
                                                                <tr>
                                                                    <th></th>
                                                                    <th></th>
                                                                    <th></th>
                                                                    <th></th>
                                                                    <th></th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                            </tbody>
                                                        </table>


                                                        
                                                         
                                                    </asp:Panel>


                                                    <div id="dvFilteredRowCount" runat="server">
                                                        <span>
                                                            <asp:Label ID="lblFilteredRowCount" runat="server"
                                                                CssClass="totrec"></asp:Label>
                                                            <asp:Label ID="lblTotalNo" runat="server" Visible="false"
                                                                meta:resourcekey="lblTotalNo">Total no. of filtered Rows :
                                                            </asp:Label>
                                                        </span>
                                                    </div>
                                                    <div id="divCustomAct" visible="false" runat="server" class="wBdr">
                                                        <div id="divActHeader"
                                                            class="dcHeaderBar">
                                                            <a href='javascript:ShowAndHideActDiv("dvActivityInfo");'>
                                                                <span id="dcButspan3">
                                                                <img id="imgAct" border="0" alt="show"
                                                                    src="../AxpImages/icons/16x16/expandwt.png" />
                                                                </span>
                                                            </a>
                                                            <font class="heading">Recent
                                                            activities</font>
                                                        </div>
                                                        <div id="dvActivityInfo"
                                                         runat="server">
                                                            <center>
                                                            <table>
                                                                
                                                                <tbody>
                                                                    <tr>
                                                                        <td>
                                                                            <table>
                                                                                
                                                                                <tbody>
                                                                                    <tr>
                                                                                        <td
                                                                                            >
                                                                                            <table
                                                                                                >
                                                                                                <tbody>
                                                                                                    <tr>
                                                                                                        <td
                                                                                                            colspan="2">
                                                                                                            <asp:GridView
                                                                                                                CellSpacing="-1"
                                                                                                                ID="grvActivities"
                                                                                                                runat="server"
                                                                                                                BackColor="White"
                                                                                                                CssClass="labelcap"
                                                                                                                BorderStyle="Groove"
                                                                                                                BorderWidth="2px"
                                                                                                                CellPadding="4"
                                                                                                                OnRowDataBound="grvActivities_RowDataBound">
                                                                                                                <RowStyle
                                                                                                                    BackColor="White"
                                                                                                                    BorderStyle="Groove"
                                                                                                                    BorderWidth="2px" />
                                                                                                                <FooterStyle
                                                                                                                    BackColor="#99CCCC"
                                                                                                                    ForeColor="#003399" />
                                                                                                                <PagerStyle
                                                                                                                    BackColor="#99CCCC"
                                                                                                                    ForeColor="#003399"
                                                                                                                    HorizontalAlign="Left" />
                                                                                                                <SelectedRowStyle
                                                                                                                    BackColor="#009999"
                                                                                                                    Font-Bold="True"
                                                                                                                    ForeColor="#CCFF99" />
                                                                                                                <HeaderStyle
                                                                                                                    BackColor="#c3d9ff"
                                                                                                                    Font-Bold="True" />
                                                                                                            </asp:GridView>
                                                                                                        </td>
                                                                                                    </tr>
                                                                                                </tbody>
                                                                                            </table>
                                                                                        </td>
                                                                                    </tr>
                                                                                </tbody>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </center>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                            <div id="noRecccord" runat="server">
                                                <asp:Label ID="lblNodata" runat="server" meta:resourcekey="lblNodata">No
                                                data found.</asp:Label>
                                            </div>
                                        </div>

                                        <div id="dvCharts" class="hide dvChart">
                                            <div class="dvChartCont">
                                            <a href="javascript:void(0)" onclick="javascript:CloseChart();">
                                                    <img alt="close" src="../AxpImages/icons/close-button.png" /></a>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <span>
                                                                <asp:RadioButtonList ID="rbtnChartType" runat="server"
                                                                    RepeatDirection="Horizontal">
                                                                    <asp:ListItem Value="line" Selected="True">Line
                                                                    </asp:ListItem>
                                                                    <asp:ListItem Value="bar">Bar</asp:ListItem>
                                                                    <asp:ListItem Value="pie">Pie</asp:ListItem>
                                                                </asp:RadioButtonList>
                                                            </span>
                                                        </td>
                                                        <td>
                                                            <a id="lnkChart" href="javascript:ShowChartPopUp();">View Full
                                                            Screen</a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="Xaxis" runat="server" meta:resourcekey="Xaxis">
                                                            X-Axis</asp:Label>
                                                            <asp:DropDownList ID="ddlChartCol1" 
                                                                runat="server">
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="Yaxis" runat="server" meta:resourcekey="Yaxis">
                                                            Y-Axis</asp:Label>
                                                            <asp:DropDownList ID="ddlChartCol2" 
                                                                runat="server">
                                                            </asp:DropDownList>
                                                            <asp:Button ID="btnGetChart1" runat="server"
                                                                OnClick="btnGetChart_Click" Text="Go" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div id="chart_div">
                                            </div>
                                        </div>

                                        <asp:HiddenField ID="hdnParamHtml" runat="server" />
                                        <asp:HiddenField ID="hdnChartSize" runat="server" />
                                        <asp:HiddenField ID="hdnKey" runat="server" />
                                        <asp:HiddenField ID="hdnStagTableNo" runat="server" />
                                        <asp:HiddenField ID="hdnToggleDimmer" runat="server" Value="nothing" />
                                        <div id="bg" class="popup_bg">
                                        </div>
                                    </div>

                                </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
      
        <div id='waitDiv'>
            <div id='backgroundDiv'>
            </div>
        </div>
        <%=strJsArrays%>
        <%=tst_Scripts%>
        <%=enableBackForwButton%>
        <div id="dvPickList" class="randomDivPl pickLstResultWrapper ">
            <div class="pickLstResultCntnr">
                <div class="pickLstCloseBtn">
                </div>
                <div id="dvPickHead">
                </div>
                <div class="clear"></div>
                <div id="dvPickFooter" class="pickListFooter">
                    <div class="pickListFLP">
                        <button type="button" id="advancebtn" onclick="javascript:CallSearchOpen();">
                            Advance search<span
                                class="glyphicon glyphicon-searchv"><i class="fa fa-search"></i></span>
</button>
                    </div>
                    <div class="pickListFRP">
                        <button type="button" id="prevPick" title="previous" class="previousPickList curHand"
                            onclick="javascript:GetData('prev')">
                            <i
                                class="glyphicon glyphicon-arrow-left icon-arrows-left"></i>
                        </button>
                        <button type="button" id="nextPick"
                            onclick="javascript:GetData('next');" title="next" class="nextPickList curHand">
                            <i
                                class="glyphicon glyphicon-menu-right icon-arrows-right"></i>
                            <%--<i class="glyphicon glyphicon-menu-right"></i>--%>
                        </button>

                    </div>
                    <div class="clear"></div>




                </div>
                <input type='hidden' id='hdnPickFldId' /><input type="hidden" id="hdnFiltered" />
                <div id="pickDimmer">
                    <%--<img src="../AxpImages/icons/loading.gif" />--%>
                </div>
            </div>
        </div>
        <%--<a id="hdnButtonInvokeDownload" href="javascript:void(0)" target="_blank"></a>--%>
        <asp:Label ID="lblNodataServer" runat="server" meta:resourcekey="lblNodataServer" Visible="false">No data found.
        </asp:Label>
        <asp:Label ID="lblTaskExcel" runat="server" meta:resourcekey="lblTaskExcel">Excel
        </asp:Label>
        <asp:Label ID="lblTaskPDF" runat="server" meta:resourcekey="lblTaskPDF">PDF</asp:Label>
    </form>
</body>

</html>
